Class | Struct
In: | pp.rb
Parent: | Object

### Methods

pretty_print pretty_print_cycle

### Public Instance methods

pretty_print(q)

[Source]

    # File pp.rb, line 317
      def pretty_print(q)
        q.group(1, '#<struct ' + self.class.name, '>') {
          q.seplist(self.members, lambda { q.text "," }) {|member|
            q.breakable
            q.text member.to_s
            q.text '='
            q.group(1) {
              q.breakable ''
              q.pp self[member]
            }
          }
        }
      end

pretty_print_cycle(q)

[Source]

    # File pp.rb, line 331
      def pretty_print_cycle(q)
        q.text sprintf("#<struct %s:...>", self.class.name)
      end

[Validate]